import { fw } from '@entityseven/rage-fw-server'

fw.event.register('playerJoin', async player => {
    fw.system.log.info('Connected:', player.socialClub)

    const response = await fw.player.triggerClient(
        player,
        'customClientEvent',
        ['hello from server'],
    )
    fw.system.log.info(response)
})

fw.event.register('customServerEvent', async (player, msg) => {
    fw.system.log.info(player.socialClub, msg)

    const response = await fw.player.triggerBrowser(
        player,
        'customBrowserEvent',
        ['hello from server'],
    )
    fw.system.log.info(player.socialClub, response)

    return 'response from server'
})
